@charset "utf-8";
/* main {
    margin: 0 16px;
} */
/* main-visual------------ */
.main-visual {
    margin: 0 16px;
    padding: 128px 0 64px;
    display: flex;
    flex-direction: column;
    gap: 24px;
    text-align: center;
}
.main-visual__text-area {
    margin: auto;
    display: flex;
    flex-direction: column;
    gap: 24px;
    justify-content: center;
}
.main-visual__sub-copy {
    text-align: center;
    position: relative;
    z-index: -9999;
}
.main-visual__sub-copy::after {
    content: "";
    display: block;
    margin: auto;
    width: 268px;
    border-bottom: 1px solid #9C9894;
    border-radius: 6px;
    position: absolute;
    bottom: 10px;
    right: 0;
    left: 0;
}
.main-visual__copy {
    margin: auto;
    max-width: 380px;
}
/* section */
.section__copy {
    text-align: center;
    font-size: 28px;
    color: #141312;
    font-family: "Abril Fatface", serif;
    font-weight: 400;
    font-style: normal;
    line-height: 120%;
}
/* shop---------- */
.shop {
    margin: 0 16px;
    padding: 0 0 64px;
    display: flex;
    flex-direction: column;
    gap: 128px;
}
.shop__text-area {
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 24px;
}
.shop__inner {
    width: 100%;
    text-align: center;
    display: grid;
    grid-template-columns: 1fr;
    gap: 64px;
}
.shop__icon {
    width: 120px;
    position: absolute;
    top: -50px;
    left: 50%;
    transform: translateX(-50%);
}
/* shop__item */
.shop__item {
    margin: auto;
    padding: 160px 32px 64px;
    width: 100%;
    height: 100%;
    border-radius: 16px;
    position: relative;
    z-index: 999;
    display: flex;
    flex-direction: column;
    gap: 32px;
}
.shop__itemA {
    background: linear-gradient(180deg,#F7C8FA 24%,#FCF5EB 0%);
}
.shop__itemB {
    background: linear-gradient(180deg,#F7B24A 24%,#FCF5EB 0%);
}
.shop__itemC {
    background: linear-gradient(180deg,#D4F199 24%,#FCF5EB 0%);
}
.shop__item__text-area {
    display: flex;
    flex-direction: column;
    gap: 8px;
}
/* about--------- */
.about {
    margin: 0 16px;
    padding: 64px 0;
    display: flex;
    flex-direction: column;
    gap: 64px;
}
.about__inner {
    display: flex;
    flex-direction: column;
    gap: 32px;
}
.about__item {
    width: 100%;
}
.about__icon {
    border-radius: 16px;
}
.about__text-area {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 24px;
}

/* recipe */
.recipe {
    margin: 0 16px;
    padding: 64px 0;
    display: flex;
    flex-direction: column;
    gap: 32px;
}
.recipe__text-area {
    text-align: center;
    margin: auto;
    width: 84%;
    display: flex;
    flex-direction: column;
    gap: 24px;
}
.recipe__inner {
    margin: auto;
    width: 86%;
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.recipe__item {
    margin: 0 8px;
}
.recipe__item__wrapper {
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.recipe__item__wrapper:hover .btn-secondary{
    background-color: #FCF5EB;
    transition: ease-in-out all 500ms;
}
.recipe__item__inner {
    border-radius: 16px;
    width: 100%;
    overflow: hidden;
}
.recipe__icon {
    transform: scale(1.05);
    transition: transform, 500ms ;
}
.recipe__item__wrapper:hover .recipe__icon{
    border-radius: 16px;
    transform: scale(1);
}
/* sns */
.sns {
    margin: 0 16px;
    text-align: center;
    padding: 64px 0;
    display: flex;
    flex-direction: column;
    gap: 32px;
}
.sns__inner {
    margin: auto;
    display: grid;
    grid-template-columns: 1fr;
    gap: 24px;
}
.sns__item {
    margin: auto;
    width: 100%;
    padding: 32px 32px 64px;
    display: flex;
    flex-direction: column;
    gap: 16px;
    border-radius: 16px;
    background-color: #FCF5EB;
    text-align: initial;
} 
.sns__item__wrapper {
    display: flex;
    flex-direction: column;
    gap: 16px;
}
.sns__item__inner {
    border-radius: 16px;
    width: 100%;
    overflow: hidden;
}
.sns__icon {
    transform: scale(1.05);
    transition: transform, 500ms ;
}
.sns__item:hover {
    border: 1px solid #FCE9CD;
    
}
.sns__item__wrapper:hover .sns__icon{
    border-radius: 16px;
    transform: scale(1);
}
/* top-faq */
.top__faq {
    margin: 0 16px;
    padding: 64px 0 128px;
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 32px;
}
.top__faq__inner {
    margin: auto;
    max-width:1000px;
    display: flex;
    flex-direction: column;
    gap: 16px;
}
@media screen and (min-width:768px) {

    /* main-visual------------- */
    .main-visual {
        margin: 0;
        padding: 160px 0 128px;
        width: 100%;
        gap: 0;
    }
    .main-visual__text-area {
        gap: 32px;
    }
    .main-visual__sub-copy::after {
        width: 400px;
        border-bottom: 2px solid #9C9894;
        bottom: 16px;

    }
    .main-visual__copy {
        margin: auto;
        max-width: 650px;
    }
    /* section */
    .section__copy {
        font-size: 48px;
    }
    /* shop */
    .shop {
        padding: 0 0 128px;
    }
    .shop__text-area {
        gap: 64px;
    }
    .shop__inner {
        margin: auto;
        max-width: 1200px;
        grid-template-columns: 1fr 1fr 1fr;
        gap: 16px;
    }
    .shop .shop__item {
        width: 100%;
    }
    /* about------------ */
    .about {
        padding: 128px 0;
        gap: 128px;
    }
    .about__inner {
        margin: auto;
        max-width: 1200px;
        flex-direction: initial;
        gap: 64px;
    }
    .about__text-area {
        gap: 32px;
    }
    .about__icon {
        height: 470px;
    }
    /* recipe */
    .recipe {
        margin: 0 32px;
        padding: 128px 0;
        gap: 64px;
    }
    .recipe__text-area {
        gap: 32px;
        max-width: 768px;
    }
    .recipe__inner {
        width: 96%;
        gap: 64px;
    }
    /* sns */
    .sns {
        gap: 64px;
    }
    .sns__inner {
        max-width: 1200px;
        grid-template-columns: 1fr 1fr 1fr;
        gap: 16px;
    }

    /* top-faq */
    .top__faq {
        padding: 128px 0 160px;
        gap: 64px;
    }
    .top__faq__inner {
        gap: 32px;
    }
}